/*
 * The contents of this file are subject to the Mozilla Public License Version 1.1
 * (the "License"); you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at <http://www.mozilla.org/MPL/>.
 * 
 * Software distributed under the License is distributed on an "AS IS" basis, WITHOUT
 * WARRANTY OF ANY KIND, either express or implied. See the License for the specific
 * language governing rights and limitations under the License.
 * 
 * The Original Code is the Venice Web Communities System.
 * 
 * The Initial Developer of the Original Code is Eric J. Bowersox <erbo@silcom.com>,
 * for Silverwrist Design Studios.  Portions created by Eric J. Bowersox are
 * Copyright (C) 2001 Eric J. Bowersox/Silverwrist Design Studios.  All Rights Reserved.
 * 
 * Contributor(s): 
 */
package com.silverwrist.venice.except;

import org.w3c.dom.*;

public class ConfigException extends VeniceException
{
  // Attributes
  private Node faulty_sect = null;       // section of the configuration at fault

  public ConfigException()
  {
    super();

  } // end constructor

  public ConfigException(String msg)
  {
    super(msg);

  } // end constructor

  public ConfigException(Exception e)
  {
    super(e);

  } // end constructor

  public ConfigException(String msg, Exception e)
  {
    super(msg,e);

  } // end constructor

  public ConfigException(Node faulty_sect)
  {
    super("Error in <" + faulty_sect.getNodeName() + "/> section of configuration!");
    this.faulty_sect = faulty_sect;

  } // end constructor

  public ConfigException(String msg, Node faulty_sect)
  {
    super(msg);
    this.faulty_sect = faulty_sect;

  } // end constructor

  public ConfigException(Exception e, Node faulty_sect)
  {
    super("Error in <" + faulty_sect.getNodeName() + "/> section of configuration - " + e.getMessage(),e);
    this.faulty_sect = faulty_sect;

  } // end constructor

  public ConfigException(String msg, Exception e, Node faulty_sect)
  {
    super(msg,e);
    this.faulty_sect = faulty_sect;

  } // end constructor

  protected void finalize() throws Throwable
  {
    faulty_sect = null;
    super.finalize();

  } // end finalize

  public Node getFaultySect()
  {
    return faulty_sect;

  } // end getFaultySect

} // end class ConfigException
